Name:          skencil
Version:       0.6.17
Release:       2mamba
Summary:       An interactive vector drawing appliction
Group:         Graphical Desktop/Applications/Graphics
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.skencil.org
Source:        http://kent.dl.sourceforge.net/sourceforge/sketch/skencil-%{version}.tar.gz
License:       LGPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libtcl
BuildRequires: libtk
BuildRequires: libX11-devel
BuildRequires: libXext-devel
## AUTOBUILDREQ-END
BuildRequires: python-Imaging >= 1.1.6

%description
Skencil is a Free Software interactive vector drawing appliction. Known to run on GNU/Linux and other UNIX-compatible systems, it is a flexible and powerful tool for illustrations, diagrams and other purposes.

%prep
%setup -q

%build
./setup.py configure
BLDSHARED='gcc -shared' ./setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   --dest-dir="%{buildroot}" \
   --prefix=%{_prefix}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/sk2ppm
%{_bindir}/sk2ps
%{_bindir}/skconvert
%{_bindir}/skencil
%{_bindir}/sketch
%{_bindir}/skshow
%dir %{_libdir}/skencil-%{version}
%{_libdir}/skencil-%{version}/*
%doc BUGS COPYING CREDITS NEWS README TODO

%changelog
* Wed Dec 10 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.17-2mamba
- specfile updated

* Sat Feb 03 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.17-1qilnx
- package created by autospec
